androidtest.bash: set GOARM=7
It's the only ARM version we have ever supported on android.
(Not setting it caused some builder timeouts.)
Change-Id: I26061434252ff2a236bb31d95787a1c582d24b3f
Reviewed-on: https://go-review.googlesource.com/16295
Reviewed-by: Hyang-Ah Hana Kim <hyangah@gmail.com>
diff --git a/src/androidtest.bash b/src/androidtest.bash
index 326bce6..84c2222 100755
--- a/src/androidtest.bash
+++ b/src/androidtest.bash
@@ -23,6 +23,14 @@
exit 1
fi
+if [ -z $GOARM ]; then
+ export GOARM=7
+fi
+if [ "$GOARM" != "7" ]; then
+ echo "android only supports GOARM=7, got GOARM=$GOARM" 1>&2
+ exit 1
+fi
+
export CGO_ENABLED=1
unset GOBIN